Validate Name API

Confirm the name of a Mobile Money or Bank Account holder before initiating a transfer.

Endpoint Information

POST https://api.moolre.com/open/transact/validate

To test in sandbox, use https://sandbox.moolre.com/open/transact/validate instead.

Authentication & Headers

Header NameTypeRequiredDescription
X-API-USERstringYesYour Moolre username.
X-API-KEYstringYesYour API Key (accepts both Public Key and Private Key). (Not required in Sandbox)

Request Parameters

ParameterTypeRequiredDescription
typeintegerYesMust be 1.
receiverstringYesPhone number or bank account number.
channelstringYes1=MTN, 6=Telecel, 7=AT, 2=Instant Bank Transfer.
sublistidstringNoBank ID if channel is Bank Transfer.
currencystringYesCurrency code (e.g., GHS).
accountnumberstringYesYour Moolre Account Number.

Response Examples

200 - Success

Name validated successfully.

{
  "status": 1,
  "code": "AVD01",
  "message": "Successful",
  "data": "BRIGHT BUAME",
  "go": null
}

400 - Not Found

The phone number or account was not found.

{
  "status": 0,
  "code": "AVD02",
  "message": "Phone No. not found",
  "data": "Phone No. not found",
  "go": null
}

← Back to AI Documentation Index | View Full API Reference